Package com.plannaplan.responses.models

# Class GroupDefaultResponse

java.lang.Object
com.plannaplan.responses.models.GroupDefaultResponse

Direct Known Subclasses:
  `GroupWithCapacityResponse`

    public class GroupDefaultResponse
    extends java.lang.Object

Default api response for Groups entity

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`GroupDefaultResponse​(com.plannaplan.entities.Assignment assignment)` | creat new entity
`GroupDefaultResponse​(com.plannaplan.entities.Assignment assignment, int takenPlaces)` |
`GroupDefaultResponse​(com.plannaplan.entities.Groups group)` | creat new entity
`GroupDefaultResponse​(com.plannaplan.entities.Groups group, int takenPlaces)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`int` | `getDay()` |
`java.lang.String` | `getEndTime()` |
`java.lang.Integer` | `getGrNr()` |
`java.lang.Long` | `getId()` |
`java.lang.Boolean` | `getIsAccepted()` |
`java.lang.String` | `getLecturer()` |
`java.lang.String` | `getRoom()` |
`java.lang.Integer` | `getTakenPlaces()` |
`java.lang.String` | `getTime()` |
`com.plannaplan.types.GroupType` | `getType()` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GroupDefaultResponse

public GroupDefaultResponse​(com.plannaplan.entities.Groups group)
creat new entity

Parameters:
  `group` - entity to map to api response

### GroupDefaultResponse

public GroupDefaultResponse​(com.plannaplan.entities.Groups group, int takenPlaces)

Parameters:
  `group` - entity to map to api response
  `takenPlaces` - ammount of taken places for group by other users

### GroupDefaultResponse

public GroupDefaultResponse​(com.plannaplan.entities.Assignment assignment)
creat new entity

Parameters:
  `assignment` - entity to map to api response

### GroupDefaultResponse

public GroupDefaultResponse​(com.plannaplan.entities.Assignment assignment, int takenPlaces)

Parameters:
  `assignment` - entity to map to api response
  `takenPlaces` - map with ammounts of taken places

## Method Details

### getGrNr

public java.lang.Integer getGrNr()

Returns:
  group number

### getIsAccepted

public java.lang.Boolean getIsAccepted()

Returns:
  is group accepted if its related to assignmetn

### getType

public com.plannaplan.types.GroupType getType()

Returns:
  what typew of group is this (lecture or class)

### getRoom

public java.lang.String getRoom()

Returns:
  room where classes will take place

### getLecturer

public java.lang.String getLecturer()

Returns:
  name of group lecturer

### getTime

public java.lang.String getTime()

Returns:
  time when group is scheduled on

### getEndTime

public java.lang.String getEndTime()

Returns:
  time when class ends

### getDay

public int getDay()

Returns:
  int what day is it. 0-6 (Monday - Sunday)

### getId

public java.lang.Long getId()

Returns:
  db id

### getTakenPlaces

public java.lang.Integer getTakenPlaces()

Returns:
  ammount of taken places for group by other users